質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
85.44%
Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

Q&A

解決済

1回答

2804閲覧

dlibのインストールでエラーが発生してしまいます

退会済みユーザー

退会済みユーザー

総合スコア0

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

0グッド

0クリップ

投稿2022/07/26 00:10

前提

Talking Head Animeを導入するにあたり、pythonにdlibを入れようとしています。
しかし、文字数制限で全ては載せきれておりませんが、下記のようなエラーメッセージが出てきてしまいます。
どなたか知恵をお貸しください。どうぞよろしくお願いいたします。

発生している問題・エラーメッセージ

ERROR: Command errored out with exit status 1: command: 'C:\Users\user\anaconda3\python.exe' -u -c 'import io, os, sys, setuptools, tokenize; sys.argv[0] = '"'"'C:\\Users\\user\\AppData\\Local\\Temp\\pip-install-kn51xojv\\dlib_e6e760eb42514d6cb727153b1f20c465\\setup.py'"'"'; __file__='"'"'C:\\Users\\user\\AppData\\Local\\Temp\\pip-install-kn51xojv\\dlib_e6e760eb42514d6cb727153b1f20c465\\setup.py'"'"';f = getattr(tokenize, '"'"'open'"'"', open)(__file__) if os.path.exists(__file__) else io.StringIO('"'"'from setuptools import setup; setup()'"'"');code = f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' bdist_wheel -d 'C:\Users\user\AppData\Local\Temp\pip-wheel-zyh_ih2l' cwd: C:\Users\user\AppData\Local\Temp\pip-install-kn51xojv\dlib_e6e760eb42514d6cb727153b1f20c465\ Complete output (409 lines): running bdist_wheel running build running build_py package init file 'tools\python\dlib\__init__.py' not found (or not a regular file) running build_ext C:\Users\user\AppData\Local\Temp\pip-install-kn51xojv\dlib_e6e760eb42514d6cb727153b1f20c465\setup.py:129: DeprecationWarning: distutils Version classes are deprecated. Use packaging.version instead. if LooseVersion(cmake_version) < '3.1.0': Building extension for Python 3.9.12 (main, Apr 4 2022, 05:22:27) [MSC v.1916 64 bit (AMD64)] Invoking CMake setup: 'cmake C:\Users\user\AppData\Local\Temp\pip-install-kn51xojv\dlib_e6e760eb42514d6cb727153b1f20c465\tools\python -DCMAKE_LIBRARY_OUTPUT_DIRECTORY=C:\Users\user\AppData\Local\Temp\pip-install-kn51xojv\dlib_e6e760eb42514d6cb727153b1f20c465\build\lib.win-amd64-3.9 -DPYTHON_EXECUTABLE=C:\Users\user\anaconda3\python.exe -DCMAKE_LIBRARY_OUTPUT_DIRECTORY_RELEASE=C:\Users\user\AppData\Local\Temp\pip-install-kn51xojv\dlib_e6e760eb42514d6cb727153b1f20c465\build\lib.win-amd64-3.9 -A x64' -- Building for: Visual Studio 17 2022 -- Selecting Windows SDK version 10.0.19041.0 to target Windows 10.0.19044. -- The C compiler identification is MSVC 19.32.31332.0 -- The CXX compiler identification is MSVC 19.32.31332.0 -- Detecting C compiler ABI info -- Detecting C compiler ABI info - done -- Check for working C compiler: C:/Program Files/Microsoft Visual Studio/2022/Community/VC/Tools/MSVC/14.32.31326/bin/Hostx64/x64/cl.exe - skipped -- Detecting C compile features -- Detecting C compile features - done -- Detecting CXX compiler ABI info -- Detecting CXX compiler ABI info - done -- Check for working CXX compiler: C:/Program Files/Microsoft Visual Studio/2022/Community/VC/Tools/MSVC/14.32.31326/bin/Hostx64/x64/cl.exe - skipped -- Detecting CXX compile features -- Detecting CXX compile features - done -- Found PythonInterp: C:/Users/user/anaconda3/python.exe (found version "3.9.12") -- Found PythonLibs: C:/Users/user/anaconda3/libs/Python39.lib -- pybind11 v2.2.4 -- Using CMake version: 3.22.5 -- Compiling dlib version: 19.24.0 -- Looking for sys/types.h -- Looking for sys/types.h - found -- Looking for stdint.h -- Looking for stdint.h - found -- Looking for stddef.h -- Looking for stddef.h - found -- Check size of void* -- Check size of void* - done -- Enabling SSE2 instructions -- Could NOT find WebP (missing: WEBP_LIBRARY) -- Searching for BLAS and LAPACK -- Searching for BLAS and LAPACK -- Looking for pthread.h -- Looking for pthread.h - not found -- Found Threads: TRUE -- Found CUDA: C:/Program Files/NVIDIA GPU Computing Toolkit/CUDA/v11.7 (found suitable version "11.7", minimum required is "7.5") -- Looking for cuDNN install... -- *** cuDNN V5.0 OR GREATER NOT FOUND. *** -- *** Dlib requires cuDNN V5.0 OR GREATER. Since cuDNN is not found DLIB WILL NOT USE CUDA. *** -- *** If you have cuDNN then set CMAKE_PREFIX_PATH to include cuDNN's folder. *** -- Disabling CUDA support for dlib. DLIB WILL NOT USE CUDA -- C++11 activated. -- Configuring done -- Generating done -- Build files have been written to: C:/Users/user/AppData/Local/Temp/pip-install-kn51xojv/dlib_e6e760eb42514d6cb727153b1f20c465/build/temp.win-amd64-3.9/Release Invoking CMake build: 'cmake --build . --config Release -- /m' .NET Framework 向け Microsoft (R) Build Engine バージョン 17.2.1+52cd2da31 Copyright (C) Microsoft Corporation.All rights reserved.

試したこと

opencv-python のインストール
cmakeのインストール
Visual StudioでC++によるデスクトップ開発をチェックしてインストール

補足情報(FW/ツールのバージョンなど)

python 3.10.5

気になる質問をクリップする

クリップした質問は、後からいつでもMYページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

guest

回答1

0

ベストアンサー

エラーメッセージ中に「error C2734: 'GifAsciiTable8x8' : 'const' オブジェクトが 'extern' でない場合、初期化する必要があります。 」みたいなのがあるなら、
dlib
からZIPをダウンロードして展開し、そこにAnacondaプロンプトでcdして、下記を実行

cmd

1python setup.py install --no DLIB_GIF_SUPPORT

 
参考
Dlib install errors out : error C2734: 'GifAsciiTable8x8' : 'const' object must be initialized if not 'extern' #2358

投稿2022/07/26 00:55

jbpb0

総合スコア7653

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

退会済みユーザー

退会済みユーザー

2022/08/06 02:06

ありがとうございます!無事に解決できました!
guest

あなたの回答

tips

太字

斜体

打ち消し線

見出し

引用テキストの挿入

コードの挿入

リンクの挿入

リストの挿入

番号リストの挿入

表の挿入

水平線の挿入

プレビュー

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
85.44%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問